﻿<UserControl x:Class="VECTO3GUI.Views.ComponentViews.Declaration.RetarderDeclarationView"
             xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" 
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
             xmlns:viewModel="clr-namespace:VECTO3GUI.ViewModel"
             xmlns:interfaces="clr-namespace:VECTO3GUI.ViewModel.Interfaces"
             xmlns:customControls="clr-namespace:VECTO3GUI.Views.CustomControls"
             xmlns:helper="clr-namespace:VECTO3GUI.Helper"
             xmlns:converter="clr-namespace:VECTO3GUI.Helper.Converter"
             mc:Ignorable="d" 
             d:DesignHeight="800" d:DesignWidth="800">
    <d:RetarderDeclarationView.DataContext>
        <x:Type Type="interfaces:IRetarderViewModel"/>
    </d:RetarderDeclarationView.DataContext>
    <StackPanel Orientation="Vertical" Width="400" HorizontalAlignment="Left" Grid.IsSharedSizeScope="True">
        <customControls:CommonDeclarationComponentData 
            Model="{Binding Model}"
            Manufacturer="{Binding Manufacturer}"
            Date="{Binding Date}"
            CertificationNumber="{Binding CertificationNumber}" />
        <customControls:ComboParameter 
            Caption="Certification Method" CaptionWidthGroup="lblWidth"
            Unit="" UnitWidthGroup="unitWidth"
            Value="{Binding CertificationMethod}" AllowedValues="{Binding AllowedCertificationMethods}"
        />
        <StackPanel>
            <ListView ItemsSource="{Binding LossMap}" Margin="10" MinHeight="150" MaxHeight="300">
                <ListView.ItemContainerStyle>
                    <Style TargetType="ListViewItem">
                        <Setter Property="HorizontalContentAlignment" Value="Stretch" />
                    </Style>
                </ListView.ItemContainerStyle>
                <ListView.View>
                    <GridView>
                        <GridViewColumn Width="auto">
                            <GridViewColumnHeader MinWidth="100" IsEnabled="False" Foreground="Black">Input Speed</GridViewColumnHeader>
                            <GridViewColumn.CellTemplate>
                                <DataTemplate DataType="interfaces:RetarderLossMapEntry">
                                    <DockPanel>
                                        <TextBlock DockPanel.Dock="Right" Text="rpm"/>
                                        <TextBox DockPanel.Dock="Right" Text="{Binding RetarderSpeed, Converter={converter:SIValueConverter}, ConverterParameter=AsRPM|double2, Mode=TwoWay, UpdateSourceTrigger=PropertyChanged, ValidatesOnDataErrors=True, NotifyOnValidationError=True}" BorderThickness="0" Background="Transparent" TextAlignment="Right"/>
                                    </DockPanel>
                                </DataTemplate>
                            </GridViewColumn.CellTemplate>
                        </GridViewColumn>
                        <GridViewColumn Width="auto">
                            <GridViewColumnHeader MinWidth="100" IsEnabled="False" Foreground="Black">Torque Loss</GridViewColumnHeader>
                            <GridViewColumn.CellTemplate>
                                <DataTemplate DataType="interfaces:RetarderLossMapEntry">
                                    <DockPanel>
                                        <TextBlock DockPanel.Dock="Right" Text="Nm"/>
                                        <TextBox DockPanel.Dock="Right" Text="{Binding TorqueLoss, Converter={converter:SIValueConverter}, ConverterParameter=double2, Mode=TwoWay, UpdateSourceTrigger=PropertyChanged, ValidatesOnDataErrors=True, NotifyOnValidationError=True}" BorderThickness="0" Background="Transparent" TextAlignment="Right"/>
                                    </DockPanel>
                                </DataTemplate>
                            </GridViewColumn.CellTemplate>
                        </GridViewColumn>
                    </GridView>
                </ListView.View>
            </ListView>
        </StackPanel>
    </StackPanel>
</UserControl>
